diff -ruw vlc-snapshot-20050412_with_patches\modules\gui\wxwindows\interface.cpp vlc_current\modules\gui\wxwindows\interface.cpp
--- vlc-snapshot-20050412_with_patches\modules\gui\wxwindows\interface.cpp	Tue Apr 12 16:50:52 2005
+++ vlc_current\modules\gui\wxwindows\interface.cpp	Wed Apr 13 13:53:18 2005
@@ -694,11 +694,24 @@
     m_slider_timer.Stop();
     m_controls_timer.Stop();
 
+    //prevent continuous layout
+    if (slider_frame->IsShown())
+    {
+      return;
+    }
+
     slider_frame->Show();
     frame_sizer->Show( slider_frame );
   }
   else
   {
+
+    //prevent continuous layout
+    if (!slider_frame->IsShown())
+    {
+      return;
+    }
+
     slider_frame->Hide();
     frame_sizer->Hide( slider_frame );
   }
@@ -727,11 +740,24 @@
     //prevent the hide timer from hiding it now
     m_controls_timer.Stop();
 
+    //prevent continuous layout
+    if (disc_frame->IsShown())
+    {
+      return;
+    }
+
     disc_frame->Show();
     slider_sizer->Show( disc_frame );
   }
   else
   {
+
+    //prevent continuous layout
+    if (!disc_frame->IsShown())
+    {
+      return;
+    }
+
     disc_frame->Hide();
     slider_sizer->Hide( disc_frame );
   }
